%define upstream_name    DBIx-Class-UUIDColumns
%define upstream_version 0.02006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:    Create uuids using Win32API::GUID
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::UUID)
BuildRequires: perl(Class::Accessor::Grouped)
BuildRequires: perl(DBD::SQLite) >= 1.110.0
BuildRequires: perl(DBIx::Class) >= 0.70.50
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(inc::Module::Install)
BuildArch:  noarch

Requires: perl(Data::UUID)
%{?perl_default_filter}

%description
This the DBIx::Class manpage component resembles the behaviour of the
Class::DBI::UUID manpage, to make some columns implicitly created as uuid.

When loaded, 'UUIDColumns' will search for a suitable uuid generation
module from the following list of supported modules:

  Data::UUID
  APR::UUID*
  UUID
  Win32::Guidgen
  Win32API::GUID

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20.60-16.mga10
+ Revision: 2203544
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.20.60-15.mga9
+ Revision: 1808680
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.60-14.mga8
+ Revision: 1503674
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.20.60-13.mga7
+ Revision: 1282609
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.20.60-12.mga7
+ Revision: 1163996
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.20.60-11.mga7
+ Revision: 1159029
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.20.60-10.mga6
+ Revision: 1025471
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.20.60-9.mga6
+ Revision: 949947
- Mageia 6 Mass Rebuild

* Mon Oct 20 2014 tv <tv> 0.20.60-8.mga5
+ Revision: 792034
- use %%perl_default_filter

* Sun Oct 19 2014 umeabot <umeabot> 0.20.60-7.mga5
+ Revision: 790544
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.20.60-6.mga5
+ Revision: 746879
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.60-4.mga4
+ Revision: 510504
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.60-3.mga3
+ Revision: 365131
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 jquelin <jquelin> 0.20.60-2.mga2
+ Revision: 220189
- adding manual requires:

* Wed Jan 04 2012 jquelin <jquelin> 0.20.60-1.mga2
+ Revision: 190595
- adding missing buildrequires:
- update to 0.02006

* Tue Jan 25 2011 jquelin <jquelin> 0.20.50-4.mga1
+ Revision: 38587
- mageia rebuild
- imported package perl-DBIx-Class-UUIDColumns


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.20.50-4mdv2011.0
+ Revision: 625051
- Add a run-time Requires

* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.20.50-3mdv2011.0
+ Revision: 624996
- Add Data::UUID as a build requires
- Add SQL::Abstract as a dep
- import perl-DBIx-Class-UUIDColumns

